#include <bits/stdc++.h>
using namespace std;
int main(){
    cin.sync_with_stdio(0);
    cin.tie(nullptr);
    int n;
    cin >> n;
    if(n<=1){cout << '-1'; return 0;}
    if(n % 2 == 0){ ///chetno
        for(int i = 0; i < (n/2); i++){
            cout << "1";
        }
        return 0;
    }else{
        n -= 3;
        cout << "7";
        for(int i = 0; i < (n/2); i++){
            cout << "1";
        }
        return 0;
    }
    return 0;
}
